[package]
name = "flaredb-raft"
version.workspace = true
edition.workspace = true

[dependencies]
flaredb-types = { path = "../flaredb-types" }
flaredb-proto = { path = "../flaredb-proto" }
flaredb-storage = { path = "../flaredb-storage" }
tokio.workspace = true
tonic.workspace = true
openraft.workspace = true
serde.workspace = true
serde_json.workspace = true
bincode.workspace = true
tracing.workspace = true

[dev-dependencies]
tempfile.workspace = true
